using Microsoft.Xna.Framework;
using Microsoft.Xna.Framework.Graphics;

namespace skyscraper8.UI.MonoGame.Screenhacks
{
	internal interface IScreenhack : IDisposable
	{
		void Draw(GameTime gameTime, SpriteBatch spriteBatch, Rectangle windowBounds);

		void SetGraphicsDevice(GraphicsDevice graphicsDevice, Rectangle presentationParametersBounds);
	}
}
